/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import OrderTypeValues from './OrderTypeValues';

/**
 * The ForceSellPayload model module.
 * @module model/ForceSellPayload
 * @version 2021.12-dev21
 */
class ForceSellPayload {
    /**
     * Constructs a new <code>ForceSellPayload</code>.
     * @alias module:model/ForceSellPayload
     * @param tradeid {String} 
     */
    constructor(tradeid) { 
        
        ForceSellPayload.initialize(this, tradeid);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, tradeid) { 
        obj['tradeid'] = tradeid;
    }

    /**
     * Constructs a <code>ForceSellPayload</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/ForceSellPayload} obj Optional instance to populate.
     * @return {module:model/ForceSellPayload} The populated <code>ForceSellPayload</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new ForceSellPayload();

            if (data.hasOwnProperty('tradeid')) {
                obj['tradeid'] = ApiClient.convertToType(data['tradeid'], 'String');
            }
            if (data.hasOwnProperty('ordertype')) {
                obj['ordertype'] = OrderTypeValues.constructFromObject(data['ordertype']);
            }
        }
        return obj;
    }


}

/**
 * @member {String} tradeid
 */
ForceSellPayload.prototype['tradeid'] = undefined;

/**
 * @member {module:model/OrderTypeValues} ordertype
 */
ForceSellPayload.prototype['ordertype'] = undefined;






export default ForceSellPayload;

